// ****************************************************************
// Copyright 1995 Digital Money, Inc.
// You may use this source code in your own applications.
//
// REVISION NOTES
// --------------
// These structures are for use in version 4.8 of the
// Digital Money AutoPay software
// For release April 5, 1995
// ****************************************************************

typedef struct
{
	int				quantity;
	char			name[40];
	char			prodCode[16];
	char			varCode[16];
	float			price;
	int				maxPurchase;
	int				minPurchase;
	int				editable;
	float			shUSA;
	float			shFOR;
}	purchaseItemType;

typedef struct
{
	char			name[40];
	float			price;
	int				maxPurchase;
	int				minPurchase;
	char			prodCode[16];
	float			shUSA;
	float			shFOR;
	int				numVarCodes;
	int				numPurchased;
	char			varCode1[16];
	char			varCode2[16];
	char			varCode3[16];
	char			varCode4[16];
	char			varCode5[16];
	char			varCode6[16];
	char			varCode7[16];
	char			varCode8[16];
	
}	catalogItemType, *catalogItemTypePtr;

typedef struct
{
	int					userAborted;				// AutoPay sends
	int					userChoseWhichOption;		// these to your app...
	int					modemPaymentAccepted;
	int					userSuccessfullyTelUnlocked;
	int					userSuccessfullyMailUnlocked;
	int					modemPaymentIncludedReg;
	float				finalPurchaseAmount;
	char				orderNumber[16];
	char				serialNumber[30];
	char				unlockCode[30];	
	char				usersName[80];				
	
	char				programName[30];			// Your app sends these to
	char				programSource[20];			// the AutoPay module...
	char				encodeMeth[30];
	char				privateKey[30];
	char				programID[20];
	char				programPassword[20];
	int					returnSerialNum;
	int					areAdditionalItemsForSale;	
	char				*screenText[10];
	int					textSize[10];
	int					textFont[10];	
	int					numItemsInCatalog;
	catalogItemType		*catalogItem[20];	
	int					numItemsPrepurchased;
	purchaseItemType	prepurchaseItem[6];
	
} digiMonBlock;